Subject: Re: (POND) Apple snails?

From: [email-masked] (David Scott)
Date: 3 Oct 1994 12:34:10 GMT

Apple snails are voracious plant eaters.  I amazed at how much they
can put away.  They don't like everything so some of your plants may
be safe.  However, if you don't have anything they like they will
starve to death.  Don't know how big your pond is so it may not be a
problem.  Might want to start out with one or two and keep an eye on
them.

They native in north Florida lakes and streams so they should survive
your winters.

Dave